build: false
shallow_clone: true
platform: x86
clone_folder: C:\projects\contao-image

cache:
  - '%LOCALAPPDATA%\Composer\files'

init:
  - SET PATH=C:\tools\php56;%PATH%
  - SET PHP=1
  - SET ANSICON=121x90 (121x90)
  - SET SYMFONY_DEPRECATIONS_HELPER=weak

install:
  - IF EXIST C:\tools\php56 (SET PHP=0)
  - IF %PHP%==1 appveyor-retry cinst -y OpenSSL.Light
  - IF %PHP%==1 appveyor-retry cinst -y php --version 5.6.33
  - IF %PHP%==1 cd C:\tools\php56
  - IF %PHP%==1 copy php.ini-production php.ini
  - IF %PHP%==1 echo date.timezone="UTC" >> php.ini
  - IF %PHP%==1 echo extension_dir=ext >> php.ini
  - IF %PHP%==1 echo extension=php_bz2.dll >> php.ini
  - IF %PHP%==1 echo extension=php_curl.dll >> php.ini
  - IF %PHP%==1 echo extension=php_fileinfo.dll >> php.ini
  - IF %PHP%==1 echo extension=php_exif.dll >> php.ini
  - IF %PHP%==1 echo extension=php_gd2.dll >> php.ini
  - IF %PHP%==1 echo extension=php_intl.dll >> php.ini
  - IF %PHP%==1 echo extension=php_mbstring.dll >> php.ini
  - IF %PHP%==1 echo extension=php_mysqli.dll >> php.ini
  - IF %PHP%==1 echo extension=php_openssl.dll >> php.ini
  - IF %PHP%==1 echo extension=php_pdo_mysql.dll >> php.ini
  - IF %PHP%==1 echo extension=php_soap.dll >> php.ini
  - IF %PHP%==1 echo extension=php_sockets.dll >> php.ini
  - IF %PHP%==1 echo extension=php_xmlrpc.dll >> php.ini
  - IF %PHP%==1 echo extension=php_xsl.dll >> php.ini
  - cd C:\projects\contao-image
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar update --no-progress --no-suggest --no-interaction --ansi

test_script:
  - cd C:\projects\contao-image
  - vendor\bin\phpunit.bat
